Get an intent (ownership-checked)
curl --request GET \
--url https://api.pid.peridotvault.com/v1/wallet/intents/{id} \
--cookie pid_access=const options = {method: 'GET', headers: {cookie: 'pid_access='}};
fetch('https://api.pid.peridotvault.com/v1/wallet/intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pid.peridotvault.com/v1/wallet/intents/{id}"
headers = {"cookie": "pid_access="}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pid.peridotvault.com/v1/wallet/intents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "pid_access=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "WITHDRAW_SOL",
"payload": {},
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 404,
"message": "No Identity found"
}wallet
Get an intent (ownership-checked)
GET
/
wallet
/
intents
/
{id}
Get an intent (ownership-checked)
curl --request GET \
--url https://api.pid.peridotvault.com/v1/wallet/intents/{id} \
--cookie pid_access=const options = {method: 'GET', headers: {cookie: 'pid_access='}};
fetch('https://api.pid.peridotvault.com/v1/wallet/intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pid.peridotvault.com/v1/wallet/intents/{id}"
headers = {"cookie": "pid_access="}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pid.peridotvault.com/v1/wallet/intents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "pid_access=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "WITHDRAW_SOL",
"payload": {},
"status": "pending",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 404,
"message": "No Identity found"
}Authorizations
JWT access token set by /auth/google/callback or /auth/refresh
Path Parameters
Response
The intent
Available options:
WITHDRAW_SOL, WITHDRAW_TOKEN Intent payload + resolved context (chain, network, smartAccountAddress)
Available options:
pending, approved, executed, expired, rejected, cancelled